# Created by pyp2rpm-3.3.7
%global pypi_name lastversion

%bcond_with check
%bcond_with docs

Name:           python-%{pypi_name}
Version:        3.5.4
Release:        %mkrel 1
Summary:        A CLI tool to find the latest stable version of an arbitrary project
Group:          Development/Python
License:        BSD
URL:            https://github.com/dvershinin/lastversion
Source0:        %{pypi_source}
Patch1:		0001-Update-dependencies-and-reformat-code-for-readabilit.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
A tiny command-line utility that helps to answer a simple question:
What is the latest stable version for a project?

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       %{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}
A tiny command-line utility that helps to answer a simple question:
What is the latest stable version for a project?

%prep
%autosetup -n %{pypi_name}-%{version}

# loosen urllib3 req
sed -i -e 's/"\(urllib3\).*"/"\1"/g' setup.py

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs} %{?with_check:-x tests}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README*
%{_bindir}/lastversion


%changelog
* Mon Aug 05 2024 wally <wally> 3.5.4-1.mga10
+ Revision: 2083687
- new version 3.5.4

* Wed Jan 17 2024 barjac <barjac> 2.4.11-3.mga10
+ Revision: 2031862
- rebuild for python 3.12

* Sat Dec 09 2023 wally <wally> 2.4.11-2.mga10
+ Revision: 2016447
- rebuild for py3.12

* Mon Feb 20 2023 wally <wally> 2.4.11-1.mga9
+ Revision: 1944355
- new version 2.4.11

* Wed Sep 21 2022 wally <wally> 2.4.5-1.mga9
+ Revision: 1891278
- new version 2.4.5
- switch build to use pyproject rpm macros

* Tue Mar 29 2022 umeabot <umeabot> 2.0.1-2.mga9
+ Revision: 1832189
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 2.0.1-1.mga9
+ Revision: 1783863
- version 2.0.1
- rebuild for python-3.10

* Fri Aug 27 2021 wally <wally> 1.5.1-1.mga9
+ Revision: 1742837
- imported package python-lastversion

